Jump to: navigation, search

Difference between revisions of "LimeSDR Workshop"

 
Line 51: Line 51:
 
* Install [https://snapcraft.io/ snapd]
 
* Install [https://snapcraft.io/ snapd]
 
* Configure snapd to use the [[LimeMicro:LimeNET_App_Store|LimeNET app store]]
 
* Configure snapd to use the [[LimeMicro:LimeNET_App_Store|LimeNET app store]]
 +
 +
{{Community}}

Latest revision as of 21:11, 16 January 2018

Preparatory information for the Introduction to software-defined radio with LimeSDR workshop to be held on Friday 24th March 2017 at BCS London.

1 Requirements

1.1 Hardware

A laptop with USB 3.0 and at least 2GB RAM is required.

Note that USB 2.0 will not suffice!

1.2 Software

The software requirements detailed below must be installed in advance of the workshop.

Do not leave installation until the morning of 24th March.

1.2.1 Operating system

The reference operating system platform is Ubuntu and while software requirements can be met with other operating systems, we are unable to directly support these and if Apple OS X or Windows is used, you should be confident that you can resolve any issues that might arise.

1.2.2 Lime Suite

Lime Suite provides the SDR driver for LimeSDR.

1.2.3 GNU Octave

Octave will be used for some of the examples.

The following packages must be installed:

1.2.4 Pothos

Pothos will be used for some of the examples.

The following must be installed:

  • Pothos with GUI and all official toolkits
  • SDR runtime packages

1.2.5 Snapcraft

This is optional and will allow Linux users to install and run "snaps", a type of containerised application.

There are steps required: